// Iron Scorpions Design Studio 2011
// Original Project by Shantideva 
// Remodding map made by Germanicus 
// http://ironscorpions.ucoz.com/

{
	*ESCENARIO
  {
    *VISUAL "Mapas\Hog Hunting.PVE"
    *LOGICO "Mapas\Hog Hunting.MLG"
    *OBJETOS "Mapas\Hog Hunting.MOB"
    *PRADERAS "Mapas\Hog Hunting.PRA"
    *AGUA "Mapas\Hog Hunting.H2O"
    *ZONAS_ACC "Mapas\MP_4_1.ZAC"
    *DATOS_IA "Mapas\MP_4_1.PIA"
    *MINIMAPA "Mapas\DESCRIPCION\Hog Hunting.TGA"
    *SCRIPT "Scripts\IS mod - Hog Hunting.trg"
    *CONFIG_TERRENO "Mediterraneo"
    *ACTITUD_CPU "ActitudCPU\Skirmish.dat"
    *MALLA 100 50
  }

  *MAPEADOR
  {
     *CAMARA 90.1853 291.769 69.185 50 0 88 2000 0.1
     *FLAGS 0x42b288
  }

  *COLORES_MAPEADOR
  {
    *MALLA_IMPAR 0xff408080
    *MALLA_PAR 0xff808080
    *MALLA_BORDE 0x7fc0c0c0
    *TEXTURE_BORDE 0x7f00ff00
    *CASILLA_NOSEL 0x7fffffff
    *VERT_DIAG 0xffc0c0c0
    *VERT_POND 0xff00ff00
    *SPLINE_NOSEL 0xff400000
    *STR_ENTRADA 0xff000000
    *IA_PTO_CONTROL 0xff000000
  }

  *NOMBRE_MISION "Hog Hunting"
  *EFECTO_ATMOSFERICO
  *MUSICA
  {
    *TIPO "SA01"
  }
  *MUSICA_BATALLA
  {
    *TIPO "SB01"
  }

  *MAX_PLAYERS 2
  *POS_INICIAL 94.34 35.53
  *POS_INICIAL 5.27 15.34

  *CIVILIZACION
  {
    *NOMBRE "NEUTRAL"
    *RAZA "BARBAROS"
    *COLOR 7
    *NEUTRAL
  }
     *ESTRUCTURA
  {
    *DEFINICION "PESW_1"
    *NOMBRE_LEGIBLE "Mountain Village"
    *POSICION 52 1.23 3.5
    *ORIENTACION 5
    *VISUAL "PESW_1"
    *HABITANTES 450
    *MAX_HABITANTES 450
  }
  *ESTRUCTURA
  {
    *DEFINICION "PESW_1"
    *NOMBRE_LEGIBLE "Mountain Village"
    *POSICION 47 1.23 46.5
    *ORIENTACION 8
    *VISUAL "PESW_1"
    *HABITANTES 450
    *MAX_HABITANTES 450
  }
  *ESTRUCTURA
  {
    *DEFINICION "PESW_1"
    *NOMBRE_LEGIBLE "Mountain Village"
    *POSICION 4 1.23 4
    *ORIENTACION 9
    *VISUAL "PESW_1"
    *HABITANTES 400
    *MAX_HABITANTES 400
  }
  *ESTRUCTURA
  {
    *DEFINICION "PESW_1"
    *NOMBRE_LEGIBLE "Mountain Village"
    *POSICION 5 -0.71 45
    *ORIENTACION 1
    *VISUAL "PESW_1"
    *HABITANTES 300
    *MAX_HABITANTES 300
  }
  *ESTRUCTURA
  {
    *DEFINICION "PEN_1"
   *NOMBRE_LEGIBLE "Mountain Village"
    *POSICION 95 -0.71 5.21
    *ORIENTACION 0
    *VISUAL "PEN_1"
    *HABITANTES 300
    *MAX_HABITANTES 300
  }
  *ESTRUCTURA
  {
    *DEFINICION "PESW_1"
    *POSICION 95.72 1.12 45.38
    *ORIENTACION 6
    *NOMBRE_LEGIBLE "Mountain Village"
    *VISUAL "PESW_1"
    *HABITANTES 400
    *MAX_HABITANTES 400
  }

*CRITTER
  {
    *TIPO "CIERVOMIEDOSO"
    *POSICION 23.11 1.12 37.34
    *ORIENTACION 0
  }
  *CRITTER
  {
    *TIPO "CIERVOMIEDOSO"
    *POSICION 23.12 1.12 38.34
    *ORIENTACION 0
  }
  *CRITTER
  {
    *TIPO "CIERVOMIEDOSO"
    *POSICION 21.90 1.12 37.36
    *ORIENTACION 0
  }
  *CRITTER
  {
    *TIPO "CIERVOMIEDOSO"
    *POSICION 11.37 -0.23 28.32
    *ORIENTACION 0
  }
  *CRITTER
  {
    *TIPO "CIERVOMIEDOSO"
    *POSICION 11.09 -0.23 29.46
    *ORIENTACION 0
  }
  *CRITTER
  {
    *TIPO "CIERVOMIEDOSO"
    *POSICION 11.14 -0.23 31.25
    *ORIENTACION 0
  }
  *CRITTER
  {
    *TIPO "CIERVOMIEDOSO"
    *POSICION 77.39 1.12 12.16
    *ORIENTACION 0
  }
  *CRITTER
  {
    *TIPO "CIERVOMIEDOSO"
    *POSICION 77.74 1.34 10.36
    *ORIENTACION 0
  }
  *CRITTER
  {
    *TIPO "CIERVOMIEDOSO"
    *POSICION 78.69 1.12 11.05
    *ORIENTACION 0
  }
  *CRITTER
  {
    *TIPO "CIERVOMIEDOSO"
    *POSICION 92.75 -0.23 18.17
    *ORIENTACION 0
  }
  *CRITTER
  {
    *TIPO "CIERVOMIEDOSO"
    *POSICION 90.68 -0.23 20.10
    *ORIENTACION 0
  }
  *CRITTER
  {
    *TIPO "CIERVOMIEDOSO"
    *POSICION 92.00 -0.23 18.16
    *ORIENTACION 0
  }
  *CRITTER
  {
    *TIPO "CIERVOMIEDOSO"
    *POSICION 82.83 -0.23 26.42
    *ORIENTACION 0
  }
  *CRITTER
  {
    *TIPO "CIERVOMIEDOSO"
    *POSICION 20.88 -0.23 20.79
    *ORIENTACION 0
  }
  *CRITTER
  {
    *TIPO "JABALI"
    *POSICION 22.58 1.11 28.19
    *ORIENTACION 0
  }
  *CRITTER
  {
    *TIPO "JABALI"
    *POSICION 26.99 1.12 26.23
    *ORIENTACION 0
  }
  *CRITTER
  {
    *TIPO "JABALI"
    *POSICION 31.15 -0.23 14.71
    *ORIENTACION 0
  }
  *CRITTER
  {
    *TIPO "JABALI"
    *POSICION 61.94 -0.23 35.52
    *ORIENTACION 0
  }
  *CRITTER
  {
    *TIPO "JABALI"
    *POSICION 68.92 -0.23 33.38
    *ORIENTACION 0
  }
  *CRITTER
  {
    *TIPO "JABALI"
    *POSICION 73.01 1.12 17.78
    *ORIENTACION 0
  }
  *CRITTER
  {
    *TIPO "JABALI"
    *POSICION 71.59 1.12 24.17
    *ORIENTACION 0
  }
  *CRITTER
  {
    *TIPO "RATA"
    *POSICION 70.19 1.12 44.89
    *ORIENTACION 0
  }
  *CRITTER
  {
    *TIPO "RATA"
    *POSICION 69.44 1.12 45.26
    *ORIENTACION 0
  }
  *CRITTER
  {
    *TIPO "RATA"
    *POSICION 58.29 1.12 46.44
    *ORIENTACION 0
  }
  *CRITTER
  {
    *TIPO "RATA"
    *POSICION 4.93 1.12 6.52
    *ORIENTACION 0
  }
  *CRITTER
  {
    *TIPO "RATA"
    *POSICION 17.40 -0.23 14.29
    *ORIENTACION 0
  }
  *CRITTER
  {
    *TIPO "RATA"
    *POSICION 45.36 1.11 3.57
    *ORIENTACION 0
  }
  *CRITTER
  {
    *TIPO "RATA"
    *POSICION 35.64 1.12 3.78
    *ORIENTACION 0
  }
  *CRITTER
  {
    *TIPO "RATA"
    *POSICION 50.86 -0.04 23.48
    *ORIENTACION 0
  }
  *CRITTER
  {
    *TIPO "RATA"
    *POSICION 33.60 -0.23 41.24
    *ORIENTACION 0
  }
  *CRITTER
  {
    *TIPO "RATA"
    *POSICION 68.23 -0.23 7.69
    *ORIENTACION 0
  }

  *PUNTOS_CAMARA
  {
    *POS "TOMA_0" 22.4033 63.2512 72.5494 21.391 0 73.2304
    *POS "TOMA_1" 173.857 27.6 -7.58563 163.734 0 15.6362
    *POS "TOMA_2" 172.535 15 24.6453 162.976 0 34.2043
    *POS "TOMA_3" 136.022 15 70.4689 126.463 0 80.0279
    *POS "TOMA_4" 27.984 15 1.31899 18.425 0 10.878
    *POS "TOMA_5" 12.5749 15 77.4725 3.01588 0 87.0315
  }
}
